Subject: Re: [PATCH 1/2] diff: add --word-diff option that generalizes --color-words

From: Thomas Rast <[email-masked]>
Date: Mon, 5 Apr 2010 12:20:46 +0200

Junio C Hamano wrote:
> 
> I think it is a bug that "git show --word-diff" gives the colored format
> output when I have "color.ui" configuration.
> 
> Even though I may have "color.ui = auto" in the configuration, I am
> telling the command to do a --word-diff, not --color-words, from the
> command line, and that should override color.ui settings.

I don't really see why the user would forfeit the convenience and
readability of a color-words diff when the terminal supports colors.
Granted, this is probably the first instance where the colors actually
change the output format instead of just making easier to read, but
still?

But:

> It might be just the matter of defaulting --word-diff without "=<type>"
> not to "auto" but to "plain".  I haven't looked at the code closely yet.

Yes.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch